use serde::Deserialize;

#[derive(Deserialize, Clone)]
pub struct RumiaConDef {
    admin: RumiaConAdminDef,
}

impl RumiaConDef {
    pub fn default() -> RumiaConDef {
        RumiaConDef{
            admin: RumiaConAdminDef {
                password: "$2a$10$0UEdvSx8SKjDEnntvHgJ8uJjNBDmF5LJjNoJ4.PJ2b3VkenfU3fRS".to_string()
            }
        }
    }

    pub fn get_password_bcrypt(&self) -> String {
        self.admin.password.clone()
    }
}

#[derive(Deserialize, Clone)]
pub struct RumiaConAdminDef {
    password: String,
}